Merge vim 2:7.2.330-1 from Debian unstable

Bug #509900 reported by Nick Andrik on 2010-01-19
42
This bug affects 6 people
Affects Status Importance Assigned to Milestone
vim (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: vim

Debian has a newer version of vim fixing a numerous of bugs, changelog can be found here
http://packages.debian.org/changelogs/pool/main/v/vim/vim_7.2.330-1/changelog

The current ubuntu version has to be merged with the debian one.

Related branches

Nick Andrik (andrikos) on 2010-01-19
tags: added: merge
Jonathan Riddell (jr) wrote :

Unsubscribing ubuntu-archive, we do syncs not merges

Michael Bienia (geser) wrote :

Here is a prelimary merge of the version in Debian unstable (7.2.330-1).
I also merged the changes from the unreleased commit in bzr.

I've also added temporarily a build dependency on libssl-dev to be able to locally compile vim with python support to be able to work on porting the bug completion from python-launchpad-bugs to python-launchpadlib.
This depends on the anonymous login to the LP API which is currently only available on edge (should change with the next LP release). After that I plan to switch to 'production' instead of 'edge' and forward also this changes towards Debian.
I hope to also get the python linking issue resolved till then (any help appreciated).

vim (2:7.2.330-1ubuntu1) lucid; urgency=low

  [Michael Bienia]
  * Merge with Debian unstable (lp: #509900). Remaining changes:
    - debian/runtime/vimrc: "syntax on" is a sane default for non-tiny vim.
    - runtime/syntax/debcontrol.vim:
      + Add "metapackages" to the list of valid sections.
    - runtime/syntax/grub.vim:
      + Add Ubuntu-specific 'quiet' keyword.
    - Drop vim-lesstif package and lesstif2-dev build-dependency.
    - Enable Python interpreter on basic builds.
    - Rename Vcs-* to XS-Debian-Vcs-*.
  * Apply patch from Ted Gould to highlight Breaks in debian/control
    (lp: #498303).
  * runtime/ftplugin/debchangelog.vim: Use python-launchpadlib (and LP API)
    instead of python-launchpad-bugs for bug completion for Ubuntu
  * Temporarily add libssl-dev to Build-depends (to make linking with python
    possible)

  [Colin Watson]
  * Add Launchpad integration to the Help menu if launchpad-integration is
    installed (lp: #453103).

 -- Michael Bienia <email address hidden> Sat, 23 Jan 2010 22:55:34 +0100

summary: - merge vim 2:7.2.245-2ubuntu2 from debian (unstable)
+ Merge vim 2:7.2.330-1 from Debian unstable
Michael Bienia (geser) wrote :
Download full text (3.5 KiB)

Here is the final debdiff. I changed ftplugin/debchangelog.vim to use already "production" (even if it really works with the next LP rollout on 2010-01-27) and replace my temporarily hack with a proper fix.

vim (2:7.2.330-1ubuntu1) lucid; urgency=low

  [Michael Bienia]
  * Merge with Debian unstable (lp: #509900). Remaining changes:
    - debian/runtime/vimrc: "syntax on" is a sane default for non-tiny vim.
    - runtime/syntax/debcontrol.vim:
      + Add "metapackages" to the list of valid sections.
    - runtime/syntax/grub.vim:
      + Add Ubuntu-specific 'quiet' keyword.
    - Drop vim-lesstif package and lesstif2-dev build-dependency.
    - Enable Python interpreter on basic builds.
    - Rename Vcs-* to XS-Debian-Vcs-*.
  * Apply patch from Ted Gould to highlight Breaks in debian/control
    (lp: #498303).
  * runtime/ftplugin/debchangelog.vim: Use python-launchpadlib (and LP API)
    instead of python-launchpad-bugs for bug completion for Ubuntu
    (forwarded to Debian as bug #566841).
  * src/configure.in, src/auto/configure:
    As MODLIBS from python's config/Makefile includes LOCALMODLIBS which
    shouldn't be used and breaks the build with newer python versions, use
    BASEMODLIBS instead of MODLIBS (forwarded to Debian as bug #566842).

  [Colin Watson]
  * Add Launchpad integration to the Help menu if launchpad-integration is
    installed (lp: #453103).

 -- Michael Bienia <email address hidden> Mon, 25 Jan 2010 15:04:01 +0100

The new Debian changes:

vim (2:7.2.330-1) unstable; urgency=low

  * [34a85b6] Update README for patches 285 - 330
    - [1aee41b] [7.2.294] when using TEMPDIRS dir name could get too long
      (Closes: #544682)
    - [f3ea2c2] [7.2.300] file descriptors not closed when executing external
      command (Closes: #290507)
    - [f3ce928] [7.2.324] a negative column argument in setpos() may cause a
      crash (Closes: #563071)
  * [fd76420] Sync runtime files
    - NetRW updated to handle 'equalalways' being set, but window sizes not
      being equal. (Closes: #346089)
  * debian/control:
    - [49f131e] Add Depends: ${misc:Depends} to all binary stanzas.
    - [8973628] Bump Standards-Version, no changes required
    - [12ac9a3] Remove Pierre Habouzit from Uploaders.

 -- James Vega <email address hidden> Thu, 14 Jan 2010 00:21:04 -0500

vim (2:7.2.284-1) unstable; urgency=low

  * syntax/debcontrol.vim:
    - [b997413] Add highlighting of Breaks field (Closes: #541989)
    - [05a38bf] Recognize lpia and kopensolaris-i386. (Closes: #543207)
  * [a85b832] Update README for patches 246 - 259
    - [669e098] [7.2.256] GTK font dialog doesn't have a default when
      'guifont' not set (Closes: #307158)
    - [f4ed8fc] [7.2.257] GTK 2.17: lots of assertion error messages (Closes:
      #545168)
  * [83583c3] Add Ubuntu's next release, lucid, to the Debian-related runtime
    files.
  * [87f3b00] update-runtime: Use -A option for git-add so deleted files
    are committed.
  * [60cbb45] Sync runtime files
    - Updated remind.vim syntax file. (Closes: #536770)
    - Fix typos in Japanese vimtutor. (Closes: #539577)
  * [96dca67] Move html docs from /u/s/d/vim-common/html to /u/s/d/vim-
    doc/html.
  *...

Read more...

Philip Muškovac (yofel) wrote :

This would be nice as it would fix bug 402188 too.

Changed in vim (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Philip Muškovac (yofel) on 2010-02-26
tags: added: patch
Philip Muškovac (yofel) wrote :

Leave the job to the sponsors...

Changed in vim (Ubuntu):
importance: Low → Wishlist
status: Triaged → New
Michael Bienia (geser) wrote :

I've updated the debdiff:
- I've missed the fact that a patch got already included in the Debian package (removed the duplicate patching).
- Updated the changelog to mention that merging with Debian fixes this bug
- Mentioned that bug 402188 gets fixed with this merge too
- Include the Ubuntu changelog entry for the recent rebuild

vim (2:7.2.330-1ubuntu1) lucid; urgency=low

  [Michael Bienia]
  * Merge with Debian unstable (lp: #509900):
    - Highlight Breaks in debian/control (lp: #498303).
    - [7.2.257] GTK 2.17: lots of assertion error messages (lp: #402188).
  * Remaining changes:
    - debian/runtime/vimrc: "syntax on" is a sane default for non-tiny vim.
    - runtime/syntax/debcontrol.vim:
      + Add "metapackages" to the list of valid sections.
    - runtime/syntax/grub.vim:
      + Add Ubuntu-specific 'quiet' keyword.
    - Drop vim-lesstif package and lesstif2-dev build-dependency.
    - Enable Python interpreter on basic builds.
    - Rename Vcs-* to XS-Debian-Vcs-*.
  * runtime/ftplugin/debchangelog.vim: Use python-launchpadlib (and LP API)
    instead of python-launchpad-bugs for bug completion for Ubuntu
    (forwarded to Debian as bug #566841).
  * src/configure.in, src/auto/configure:
    As MODLIBS from python's config/Makefile includes LOCALMODLIBS which
    shouldn't be used and breaks the build with newer python versions, use
    BASEMODLIBS instead of MODLIBS (forwarded to Debian as bug #566842).

  [Colin Watson]
  * Add Launchpad integration to the Help menu if launchpad-integration is
    installed (lp: #453103).

 -- Michael Bienia <email address hidden> Sun, 07 Mar 2010 10:51:22 +0100

Michael Bienia (geser) wrote :

Here are the new Debian changelog entries since the last Ubuntu merge:

vim (2:7.2.330-1) unstable; urgency=low

  * [34a85b6] Update README for patches 285 - 330
    - [1aee41b] [7.2.294] when using TEMPDIRS dir name could get too long
      (Closes: #544682)
    - [f3ea2c2] [7.2.300] file descriptors not closed when executing external
      command (Closes: #290507)
    - [f3ce928] [7.2.324] a negative column argument in setpos() may cause a
      crash (Closes: #563071)
  * [fd76420] Sync runtime files
    - NetRW updated to handle 'equalalways' being set, but window sizes not
      being equal. (Closes: #346089)
  * debian/control:
    - [49f131e] Add Depends: ${misc:Depends} to all binary stanzas.
    - [8973628] Bump Standards-Version, no changes required
    - [12ac9a3] Remove Pierre Habouzit from Uploaders.

 -- James Vega <email address hidden> Thu, 14 Jan 2010 00:21:04 -0500

vim (2:7.2.284-1) unstable; urgency=low

  * syntax/debcontrol.vim:
    - [b997413] Add highlighting of Breaks field (Closes: #541989)
    - [05a38bf] Recognize lpia and kopensolaris-i386. (Closes: #543207)
  * [a85b832] Update README for patches 246 - 259
    - [669e098] [7.2.256] GTK font dialog doesn't have a default when
      'guifont' not set (Closes: #307158)
    - [f4ed8fc] [7.2.257] GTK 2.17: lots of assertion error messages (Closes:
      #545168)
  * [83583c3] Add Ubuntu's next release, lucid, to the Debian-related runtime
    files.
  * [87f3b00] update-runtime: Use -A option for git-add so deleted files
    are committed.
  * [60cbb45] Sync runtime files
    - Updated remind.vim syntax file. (Closes: #536770)
    - Fix typos in Japanese vimtutor. (Closes: #539577)
  * [96dca67] Move html docs from /u/s/d/vim-common/html to /u/s/d/vim-
    doc/html.
  * [9fec1cd] Use usr_toc.html for the usermanual Index page.
  * [fbacb18] Update README for patches 268 - 284
    - [76d3dad] [7.2.283] GTK: changing font doesn't keep the window maximized
      (Closes: #466088)
  * [6e51684] debsources.vim: Recognize rc-buggy (alias for experimental).
    (Closes: #553525)

 -- James Vega <email address hidden> Sun, 08 Nov 2009 16:51:59 -0500

Michael Bienia (geser) wrote :
Download full text (5.9 KiB)

Since 7.2.330 is no new upstream version but only a collection of upstream (bugfix) patches for vim 7.2 up to patch 330, it IMHO doesn't need a FFe.

Here is a list of the new patches included in this merge:
  1848 7.2.246 Cscope home page link is wrong
  2561 7.2.247 Mzscheme interface minor problem
  4408 7.2.248 (extra) Win32: Mzscheme interface building minor problems
  1555 7.2.249 script that checks .po files can't handle '%' in plural forms
  1693 7.2.250 (extra) possible buffer overflow in GvimExt
  2802 7.2.251 compiler adds invalid memory bounds check
  1495 7.2.252 when 'enc' is multi-byte 'iskeyword' can't contain chars > 128
  4223 7.2.253 netbeans interface: getLength always uses current buffer
  1654 7.2.254 compiler warning for assigning size_t to int
  1870 7.2.255 (after 7.2.242) cursor column may be wrong after :set
  1783 7.2.256 GTK font dialog doesn't have a default when 'guifont' not set
  2092 7.2.257 GTK 2.17: lots of assertion error messages
  1989 7.2.258 v:beval_col and b:beval_text are wrong in UTF-8 text
  5393 7.2.259 exists() doesn't work properly for an empty aucmd group
  5431 7.2.260 (extra part of 7.2.259)
  2515 7.2.261 E38 may appear when deleting folded lines
  5652 7.2.262 string passed to user cmd custom completion can be too long
  2634 7.2.263 GTK2: Vim window in wrong position using the -geom argument
  5161 7.2.264 GTK2: When Vim window maximized, set 'columns' doesn't work
  1892 7.2.265 with ":silent broken" inside try/catch silency may persist
  6560 7.2.266 in an expression abbreviation the typed character is unknown
  1461 7.2.267 crash for narrow window and double-width character
  2274 7.2.268 crash when using Python to set cursor beyond end of line
  7128 7.2.269 add --startuptime so that slow startup can be analysed
  2281 7.2.270 ":@c" does not execute everything if the c register has a CR
  2649 7.2.271 Motif GUI: Using freed memory when making a choice
  2582 7.2.272 "_.svz" is not recognized as a swap file
  3404 7.2.273 crash when redirirecting to unknown array
  3749 7.2.274 syntax folding doesn't work properly when adding a comment
  2717 7.2.275 warning for unused argument and comparing signed and unsigned
  1875 7.2.276 crash when setting 'isprint' to a small bullet
  1937 7.2.277 CTRL-Y in a diff'ed window may move cursor outside of window
  2312 7.2.278 using magic number in the folding code
  3413 7.2.279 invalid memory read with visual mode "r"
  6656 7.2.280 a redraw in a custom statusline with %! may cause a crash
  2241 7.2.281 'cursorcolumn' highlighting is wrong in diff mode
  1584 7.2.282 a fold can't be closed
  2030 7.2.283 GTK: changing font doesn't keep the window maximized
  1572 7.2.284 two windows on a buffer + folding: display error after change
  1931 7.2.285 (after 7.2.169) CTRL-U in Insert mode also deletes indent
  7058 7.2.286 (after 7.2.269) --startuptime argument is not consistent
  1733 7.2.287 warning from gcc 3.4 about uninitialized variable
  1680 7.2.288 Python 2.6 pyconfig.h redefines macros
  3979 7.2.289 checking wrong struct member
  5344 7.2.290 not freeing ...

Read more...

Michael Bienia (geser) wrote :

Diffstat between the current Ubuntu source package and the merged one.

Michael Bienia (geser) wrote :

I have a bzr merge a try again (it had problems in the past), bzr 2.1.0 could produce a merge. I've compared the manual merge and the bzr merge (debdiff-ed the .dsc files from both) and also checked the resulting delta between the bzr merge and the Debian package (debdiff-ed the .dsc files). Both merges are identical.

Michael Bienia (geser) wrote :

Updated the debdiff:
- Add bug number for fixing the compilation of vim with python support.

Colin Watson (cjwatson) wrote :

I've merged your branch into lp:ubuntu/vim, and am tweaking and testing now ...

Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package vim - 2:7.2.330-1ubuntu1

---------------
vim (2:7.2.330-1ubuntu1) lucid; urgency=low

  [ Michael Bienia ]
  * Merge with Debian unstable (LP: #509900):
    - Highlight Breaks in debian/control (LP: #498303).
    - [7.2.257] GTK 2.17: lots of assertion error messages (LP: #402188).
  * Remaining changes:
    - debian/runtime/vimrc: "syntax on" is a sane default for non-tiny vim.
    - runtime/syntax/debcontrol.vim:
      + Add "metapackages" to the list of valid sections.
    - runtime/syntax/grub.vim:
      + Add Ubuntu-specific 'quiet' keyword.
    - Drop vim-lesstif package and lesstif2-dev build-dependency.
    - Enable Python interpreter on basic builds.
    - Rename Vcs-* to XS-Debian-Vcs-*.
  * runtime/ftplugin/debchangelog.vim: Use python-launchpadlib (and LP API)
    instead of python-launchpad-bugs for bug completion for Ubuntu
    (forwarded to Debian as bug #566841).
  * src/configure.in, src/auto/configure:
    As MODLIBS from python's config/Makefile includes LOCALMODLIBS which
    shouldn't be used and breaks the build with newer python versions, use
    BASEMODLIBS instead of MODLIBS (forwarded to Debian as bug #566842;
    LP: #534251).

  [ Colin Watson ]
  * Add Launchpad integration to the Help menu if launchpad-integration is
    installed (LP: #453103).

vim (2:7.2.330-1) unstable; urgency=low

  * [34a85b6] Update README for patches 285 - 330
    - [1aee41b] [7.2.294] when using TEMPDIRS dir name could get too long
      (Closes: #544682)
    - [f3ea2c2] [7.2.300] file descriptors not closed when executing external
      command (Closes: #290507)
    - [f3ce928] [7.2.324] a negative column argument in setpos() may cause a
      crash (Closes: #563071)
  * [fd76420] Sync runtime files
    - NetRW updated to handle 'equalalways' being set, but window sizes not
      being equal. (Closes: #346089)
  * debian/control:
    - [49f131e] Add Depends: ${misc:Depends} to all binary stanzas.
    - [8973628] Bump Standards-Version, no changes required
    - [12ac9a3] Remove Pierre Habouzit from Uploaders.

vim (2:7.2.284-1) unstable; urgency=low

  * syntax/debcontrol.vim:
    - [b997413] Add highlighting of Breaks field (Closes: #541989)
    - [05a38bf] Recognize lpia and kopensolaris-i386. (Closes: #543207)
  * [a85b832] Update README for patches 246 - 259
    - [669e098] [7.2.256] GTK font dialog doesn't have a default when
      'guifont' not set (Closes: #307158)
    - [f4ed8fc] [7.2.257] GTK 2.17: lots of assertion error messages (Closes:
      #545168)
  * [83583c3] Add Ubuntu's next release, lucid, to the Debian-related runtime
    files.
  * [87f3b00] update-runtime: Use -A option for git-add so deleted files
    are committed.
  * [60cbb45] Sync runtime files
    - Updated remind.vim syntax file. (Closes: #536770)
    - Fix typos in Japanese vimtutor. (Closes: #539577)
  * [96dca67] Move html docs from /u/s/d/vim-common/html to /u/s/d/vim-
    doc/html.
  * [9fec1cd] Use usr_toc.html for the usermanual Index page.
  * [fbacb18] Update README for patches 268 - 284
    - [76d3dad] [7.2.283] GTK: changing font doesn't keep the window maximized
      (Closes: #466088)
  * [6e51684] debsour...

Read more...

Changed in vim (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers